org.apache.tinkerpop.gremlin.structure

## Class SerializationTest.GryoV1d0Test

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.SerializationTest.GryoV1d0Test

- Enclosing class:
    SerializationTest

      public static class SerializationTest.GryoV1d0Test
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GryoV1d0Test()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldSerializeEdgeAsDetached()`
    `void` | `shouldSerializePathAsDetached()`
    `void` | `shouldSerializePropertyAsDetached()`
    `void` | `shouldSerializeTraversalMetrics()`
    `void` | `shouldSerializeTree()`
    `void` | `shouldSerializeVertexAsDetached()`
    `void` | `shouldSerializeVertexPropertyAsDetached()`
    `void` | `shouldSerializeVertexPropertyWithPropertiesAsDetached()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GryoV1d0Test

          public GryoV1d0Test()

  - ### Method Detail

    - #### shouldSerializeVertexAsDetached

          public void shouldSerializeVertexAsDetached()
                                               throws Exception

      Throws:
        `Exception`

    - #### shouldSerializeEdgeAsDetached

          public void shouldSerializeEdgeAsDetached()
                                             throws Exception

      Throws:
        `Exception`

    - #### shouldSerializePropertyAsDetached

          public void shouldSerializePropertyAsDetached()
                                                 throws Exception

      Throws:
        `Exception`

    - #### shouldSerializeVertexPropertyAsDetached

          public void shouldSerializeVertexPropertyAsDetached()
                                                       throws Exception

      Throws:
        `Exception`

    - #### shouldSerializeVertexPropertyWithPropertiesAsDetached

          public void shouldSerializeVertexPropertyWithPropertiesAsDetached()
                                                                     throws Exception

      Throws:
        `Exception`

    - #### shouldSerializePathAsDetached

          public void shouldSerializePathAsDetached()
                                             throws Exception

      Throws:
        `Exception`

    - #### shouldSerializeTraversalMetrics

          public void shouldSerializeTraversalMetrics()
                                               throws Exception

      Throws:
        `Exception`

    - #### shouldSerializeTree

          public void shouldSerializeTree()
                                   throws Exception

      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.